aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-perl/html2latex')
-rw-r--r--dev-perl/html2latex/ChangeLog18
-rw-r--r--dev-perl/html2latex/Manifest4
-rw-r--r--dev-perl/html2latex/html2latex-1.1-r2.ebuild45
-rw-r--r--dev-perl/html2latex/metadata.xml11
4 files changed, 78 insertions, 0 deletions
diff --git a/dev-perl/html2latex/ChangeLog b/dev-perl/html2latex/ChangeLog
new file mode 100644
index 0000000..441fd77
--- /dev/null
+++ b/dev-perl/html2latex/ChangeLog
@@ -0,0 +1,18 @@
+# ChangeLog for dev-perl/html2latex
+# Copyright 1999-2019 Gentoo Authors; Distributed under the GPL v2
+# $Header: $
+
+*html2latex-1.1-r2 (12 Jan 2019)
+
+ 12 Jan 2019; AstroFloyd <AstroFloyd@gmail.com> +html2latex-1.1-r2.ebuild,
+ +metadata.xml:
+ dev-perl/html2latex: revision bump to v1.1-r2 * dev-perl/html2latex: revision
+ bump to v1.1-r2: + from -r1, taken from Portage + fixes
+ https://bugs.gentoo.org/484432 + see also
+ https://forums.gentoo.org/viewtopic-p-8299966.html
+
+*html2latex-1.1-r1.ebuild (12 Jan 2019)
+
+ 12 Jan 2019; AstroFloyd <AstroFloyd@gmail.com> +html2latex-1.1-r1.ebuild,
+ +metadata.xml:
+ Copied from Portage
diff --git a/dev-perl/html2latex/Manifest b/dev-perl/html2latex/Manifest
new file mode 100644
index 0000000..2c9d3dd
--- /dev/null
+++ b/dev-perl/html2latex/Manifest
@@ -0,0 +1,4 @@
+DIST html2latex-1.1.tar.gz 48439 BLAKE2B 83719dcabcaec9454aa3cd1703a721687c95461277c946be01a3f238e265fc604253a6a0dd96ffa441be3729152788e830b7841344ab2ee47ac1964beb504596 SHA512 ceddb3b33359e07fdbfe0263a1ffd7dddfc95cfb256468a921513ed41777b14d4433117b9143cf23d46c867514be66235acd62065591a403c19c6f8f768be73a
+EBUILD html2latex-1.1-r2.ebuild 878 BLAKE2B e2af10f1e0b88e7a3b17356aff01e3b66f6331131e3a3807eb93827167c774f47bfeebe4501abc34e143ef2e6316ead2cf9ff7c94d743877f7975a1d54b17b1f SHA512 1c0b9a670624319fec8ebd58f14b9f31d24f5b149526e4e1f6567a5a306ecf0ba22111290a2781a65aad3ed5fcad6f893a618071a7d5904ea1fe9b41104f4965
+MISC ChangeLog 643 BLAKE2B 3bc39091f1328f7f0304a0d8d9c242dadc38fade4c23aae4620a3139598c2a9b11619e90076689f294e832d78a2ce036254e7b2e2b09b6a117574cc30b0eed46 SHA512 c8a71ae11f3b2954510fc97b9c0a01a945746b308905b7f89d150bda34ab184067b32ffc59ff9fee2e0d9a8a31bf91284080a3cf70d838c2e010099551c98766
+MISC metadata.xml 329 BLAKE2B c19dff2ff2c5337f13619a7d4705d1bd7426b51cb9ba072ff79ea2cd25717f3baa9a7576557b42bda5cf36e0dc1fd1a7b8c670f3d9cc7a84af06d8d39bc3f3a6 SHA512 f0d2d7af76037337f70c05916c17e3d240d0dbb24b62f8080d8a593fcda48506cf6b189a6f1b9a27957be3f7dd05446c85aa4fe2b92d0f112798a6bc4a3d3eb3
diff --git a/dev-perl/html2latex/html2latex-1.1-r2.ebuild b/dev-perl/html2latex/html2latex-1.1-r2.ebuild
new file mode 100644
index 0000000..4989a91
--- /dev/null
+++ b/dev-perl/html2latex/html2latex-1.1-r2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Perl script to convert HTML files into formatted LaTeX"
+HOMEPAGE="http://html2latex.sourceforge.net/"
+SRC_URI="mirror://sourceforge/html2latex/${P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="imagemagick libwww"
+
+DEPEND="dev-perl/HTML-Tree
+ dev-perl/XML-Simple
+ imagemagick? ( media-gfx/imagemagick )
+ libwww? ( dev-perl/libwww-perl )"
+
+src_configure() {
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_configure
+}
+
+src_compile() {
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_compile
+}
+
+src_install() {
+ dobin html2latex
+ doman html2latex.1
+ dodoc README TODO
+
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_install
+ rm unwanted README.win
+ rm $(find "${D}" -name README.win.txt) || die
+}
diff --git a/dev-perl/html2latex/metadata.xml b/dev-perl/html2latex/metadata.xml
new file mode 100644
index 0000000..5a7d86d
--- /dev/null
+++ b/dev-perl/html2latex/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>tex@gentoo.org</email>
+ <name>Gentoo TeX Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">html2latex</remote-id>
+ </upstream>
+</pkgmetadata>